unit Main;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, DB, DBTables, Grids, DBGrids, ExtCtrls, DBCtrls, StdCtrls,
  Menus, Mask;

type
  TfrmICGArticle = class(TForm)
    dbICGIndex: TDatabase;
    tbICGIndex: TTable;
    dsICGIndex: TDataSource;
    tbICGSubject: TTable;
    dsICGSubject: TDataSource;
    dbnICGIndex: TDBNavigator;
    btnClose: TButton;
    tbICGSubjectSubject: TStringField;
    tbICGSubjectIndex: TSmallintField;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Close1: TMenuItem;
    Record1: TMenuItem;
    Home1: TMenuItem;
    Prior1: TMenuItem;
    Next1: TMenuItem;
    End1: TMenuItem;
    GroupBox1: TGroupBox;
    DBEdit1: TDBEdit;
    DBEdit2: TDBEdit;
    DBEdit3: TDBEdit;
    DBEdit4: TDBEdit;
    DBEdit5: TDBEdit;
    DBEdit6: TDBEdit;
    DBEdit7: TDBEdit;
    DBEdit8: TDBEdit;
    DBEdit9: TDBEdit;
    dbgICGSubject: TDBGrid;
    Label1: TLabel;
    DBEdit10: TDBEdit;
    GroupBox2: TGroupBox;
    DBEdit11: TDBEdit;
    DBEdit12: TDBEdit;
    DBEdit13: TDBEdit;
    DBEdit14: TDBEdit;
    DBEdit15: TDBEdit;
    DBMemo1: TDBMemo;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    Label16: TLabel;
    Label17: TLabel;
    btnSubject: TButton;
    procedure FormCreate(Sender: TObject);
    procedure btnCloseClick(Sender: TObject);
    procedure Home1Click(Sender: TObject);
    procedure Prior1Click(Sender: TObject);
    procedure Next1Click(Sender: TObject);
    procedure End1Click(Sender: TObject);
    procedure btnSubjectClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmICGArticle: TfrmICGArticle;

implementation

uses Subject;
{$R *.DFM}

procedure TfrmICGArticle.FormCreate(Sender: TObject);
begin
   {Need to determine the current file location and use it as the
    default starting path for the ICGIndex application}
   try
       dbICGIndex.Connected := False;
       dbICGIndex.Params[0] := 'PATH='+ ExtractFilePath(ParamStr(0));
       dbICGIndex.Connected := True;
       tbICGIndex.Open;
       tbICGSubject.Open;
   except
       MessageBeep(0);
       MessageDlg('Unable to open the required tables!', mtError, [mbOk], 0);
       Application.Terminate;
   end;
end;

procedure TfrmICGArticle.btnCloseClick(Sender: TObject);
begin
   Application.Terminate;
end;

procedure TfrmICGArticle.Home1Click(Sender: TObject);
begin
   dbnICGIndex.BtnClick(nbFirst);
end;

procedure TfrmICGArticle.Prior1Click(Sender: TObject);
begin
   dbnICGIndex.BtnClick(nbPrior);
end;

procedure TfrmICGArticle.Next1Click(Sender: TObject);
begin
   dbnICGIndex.BtnClick(nbNext);
end;

procedure TfrmICGArticle.End1Click(Sender: TObject);
begin
   dbnICGIndex.BtnClick(nbLast);
end;

procedure TfrmICGArticle.btnSubjectClick(Sender: TObject);
begin
   {Open the ICGSubject form}
   try
       frmSubject.Show;
   except
       MessageBeep(0);
       MessageDlg('Unable to open the Subject form', mtError, [mbOK], 0);
   end;
end;

end.
